/**** Sanakirjasivun tyylit ****/
.search-place {
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
    margin: 20px;
}

#sanakirja-text {
    font-size: 20px;
    font-weight: bold;
    color: #EC642A;
    text-shadow: 1px 2px #ffb99b;
    margin: -5px 0px 10px 75px;
    cursor: default;
}

#search {
    width: 265px;
    display: flex;
    flex-direction: column;
    position: relative;
    margin-top: 5px;
    margin-left: -7px;
}

#search-input {
    width: 250px;
    height: 25px;
    padding: 7px;
    padding-left: 15px;
    background: #FFFFFF;
    border-width: 0px;
    border-radius: 20px;
    box-shadow: 0 0 4px 1px #888 inset;
    overflow: hidden;
    outline: none;
    font-size: 18px;
}

#search-img {
    width: 26px;
    height: 26px;
    margin-top: -33px;
    margin-left: 235px;
    position: absolute;
    background-color: transparent;
    border-width: 0;
    font-family: inherit;
    font-style: inherit;
    font-size: inherit;
    font-weight: inherit;
    line-height: inherit;
    cursor: pointer;
}

.card {
    margin: 0px 10px 12px 10px;
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
    transition: 0.3s;
    border-radius: 5px;
    display: flex;
    flex-direction: column;
    text-align: left;
}

.even {
    border: 2px solid #0165B0;
}

.odd {
    border: 2px solid #C84717;
}

.card h3 {
    margin-top: 0px;
    margin-bottom: 10px;
    font-size: 15px;
}

.even>.word {
    background-color: #FFFFFF;
    font-weight: 700;
} 

.even>.definition {
    background-color: #FFFFFF;
    border-top: 1px solid #0165B0;
    border-bottom: 1px solid #0165B0;
} 

.even>.use-case {
    background-color: #FFFFFF;
} 

.odd>.definition {
    background-color: #FFFFFF;
    border-top: 1px solid #C84717;
    border-bottom: 1px solid #C84717
} 

.word {
    background-color: #FFFFFF;
    padding: 8px 10px;
    border-top-right-radius: 5px;
    border-top-left-radius: 5px;
    border-bottom-right-radius: 5px;
    border-bottom-left-radius: 5px;
    font-family: 'Open Sans';
    font-weight: 700;
}

.word:hover {
    cursor: pointer;
}

.definition {
    background-color: #FFFFFF;
    padding: 8px 10px;
    display: none;
    border-left-color: #C84717;
    font-family: 'Open Sans';
    margin-bottom: 2px;
    margin-top: 2px;
}

.use-case {
    background-color: #FFFFFF;
    padding: 8px 10px;
    border-bottom-right-radius: 5px;
    border-bottom-left-radius: 5px;
    display: none;
    border-left-color: #C84717;
    font-family: 'Open Sans';
}

.text-header {
    display: none;
}

.shown {
    display: block;
}

.hidden {
    display: none;
}

@media (min-width: 900px) {

    .search-place {
        align-items: end;
    }

    #search {
        margin: -12px 130px -15px 0px;
    }

    .card {
        flex-direction: row;
    }

    .card h3 {
        display: none;
    }

    h2 {
        margin-left: 10px;
        font-size: 18px;
        margin-bottom: 6px;
    }

    .even>.word {
        background-color: #FFFFFF;
        font-weight: 700;
    } 
    
    .even>.definition {
        background-color: #FFFFFF;
        border-top: none;
        border-left: 1px solid #0165B0;
        border-bottom: none;
    } 
    
    .even>.use-case {
        background-color: #FFFFFF;
        border-left: 1px solid #0165B0;
    } 

    .odd>.definition {
        background-color: #FFFFFF;
        border-top: none;
        border-left: 1px solid #C84717;
        border-bottom: none;
    } 
    
    .odd>.use-case {
        background-color: #FFFFFF;
        border-left: 1px solid #C84717;
    } 

    .word {
        background-color: #FFFFFF;
        padding: 8px 10px;
        border-top-right-radius: 0px;
        border-top-left-radius: 5px;
        flex: 20%;
        color: black;
    }
    
    .definition {
        background-color: #FFFFFF;
        padding: 8px 10px;
        flex: 40%;
        display: block !important;
        color: black;
        margin-bottom: 0px;
        margin-top: 0px;
    }

    .definition p {
        margin-top: 0px;
    }
    
    .use-case {
        background-color: #FFFFFF;
        padding: 8px 10px;
        border-top-right-radius: 5px;
        border-bottom-right-radius: 5px;
        border-bottom-left-radius: 0px;
        flex: 40%;
        display: block !important;
        color: black;
    }

    .use-case p {
        margin-top: 0px;
    }

    .text-header {
        /* margin-bottom: -8px; */
        margin-left: 10px;
        margin-right: 10px;
        cursor: default;
        display: flex;
        flex-direction: row;
    }

    .sana-header {
        flex: 20%;
    }

    .selitys-header {
        flex: 40%;
    }

    .esimerkki-header {
        flex: 40%;
    }
}

@media (min-width: 1030px) {

    #sanakirja-text {
        display: none;
    }
}

@media (min-width: 1100px) {

    #search {
        margin-right: 130px;
    }
}

@media (min-width: 1800px) {

    #search {
        margin-right: 200px;
    }
}